﻿<AML>
 <Item type="Method" id="4C3D76050F224A83A2F18DBE3EA1E647" action="add">
  <execution_allowed_to keyed_name="World" type="Identity">A73B655731924CD0B027E4F4D5FCC0A9</execution_allowed_to>
  <method_code><![CDATA[/* *****************************************************************************
Method Name:			pop_ap_TaxTypeChanged_refresh
Created By		:		SolidCAD 
Creation Date:			2018-01-23
Description:
    -Clear Allocation.
	-Because of changing Tax Type,get changing sub amount.
	-Set sub amount to acc_balance.
	
Hooks:
	Type:	Form	:	pop_purchase_invoice
	Event:	acc_gl_code ( onBlur )

Revisions:
	Rev Date		Modified By			Description
	YYYY-MM-DD		$username$			Initial creation
***************************************************************************** */
//debugger;
var myInnovator = new Innovator();
var _this_item = document.thisItem;
var pop_sub_amount = top.aras.getItemProperty(document.item, 'pop_sub_amount');
var f_balance = parseFloat(pop_sub_amount);
var fRelationships = _this_item.fetchRelationships("pop_purchase_allocation");
var gRelationships = _this_item.getRelationships("pop_purchase_allocation");
var itemCount = gRelationships.getItemCount();

for (var i = 0; i < itemCount; i++) {
    var item = gRelationships.getItemByIndex(i);
    _this_item.removeRelationship(item);
}
handleItemChange("acc_balance", f_balance.toFixed(2));

parent.onRefresh();]]></method_code>
  <method_type>JavaScript</method_type>
  <name>pop_ap_TaxTypeChanged_refresh</name>
 </Item>
</AML>